package build

import (
	"git.urbach.dev/cli/q/src/compiler"
	"git.urbach.dev/cli/q/src/scanner"
)

// Run compiles the input files.
func (build *Build) Run() (compiler.Result, error) {
	constants, files, functions, structs, errors := scanner.Scan(build.Files)
	return compiler.Compile(constants, files, functions, structs, errors)
}
